Index: factory/configure
===================================================================
--- factory/configure	(revision 20bc5f47bacc2adda6af7160f7d9fd606e0e89a8)
+++ factory/configure	(revision 3d6bac7aa29bfe481fd1de798ed724d63d750ab5)
@@ -1378,9 +1378,4 @@
 fi
 
-# the following test breaks the configure script
-#AC_CHECK_LIB(g++, strsignal, ,
-#    [ AC_MSG_WARN(libg++ not found.
-#                    You will not be able to build the Factory Test Environment
-#                    (though Factory itself should compile)) ])
 
 #
@@ -1403,10 +1398,10 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1406 "configure"
+#line 1401 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1411: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1406: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
@@ -1443,10 +1438,10 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1446 "configure"
+#line 1441 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1451: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1446: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
@@ -1483,10 +1478,10 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1486 "configure"
+#line 1481 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1491: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1486: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
@@ -1521,10 +1516,10 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1524 "configure"
+#line 1519 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1529: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1524: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
@@ -1554,5 +1549,5 @@
   # since the FTE will compile only with stream IO enabled we will not
   # check for the necessary header files if stream IO is disabled
-  for ac_hdr in stdarg.h signal.h errno.h unistd.h GetOpt.h
+  for ac_hdr in stdarg.h signal.h errno.h unistd.h
 do
 ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
@@ -1562,10 +1557,10 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1565 "configure"
+#line 1560 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1570: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1565: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
@@ -1605,10 +1600,10 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1608 "configure"
+#line 1603 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1613: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1608: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
@@ -1663,9 +1658,9 @@
 else
 cat > conftest.$ac_ext <<EOF
-#line 1666 "configure"
+#line 1661 "configure"
 #include "confdefs.h"
 main(){return(0);}
 EOF
-{ (eval echo configure:1670: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
+{ (eval echo configure:1665: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
 if test -s conftest && (./conftest; exit) 2>/dev/null; then
   ac_cv_c_cross=no
@@ -1695,5 +1690,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1698 "configure"
+#line 1693 "configure"
 #include "confdefs.h"
 
@@ -1745,5 +1740,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1748: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1743: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_const=yes
@@ -1771,5 +1766,5 @@
 for ac_kw in inline __inline__ __inline; do
   cat > conftest.$ac_ext <<EOF
-#line 1774 "configure"
+#line 1769 "configure"
 #include "confdefs.h"
 
@@ -1779,5 +1774,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1782: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1777: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_inline=$ac_kw; break
@@ -1812,9 +1807,9 @@
 else
 cat > conftest.$ac_ext <<EOF
-#line 1815 "configure"
+#line 1810 "configure"
 #include "confdefs.h"
  int main() { if (-2 >> 1 == -1) exit(0); else exit(1); } 
 EOF
-{ (eval echo configure:1819: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
+{ (eval echo configure:1814: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
 if test -s conftest && (./conftest; exit) 2>/dev/null; then
   ac_cv_shift=yes
